Subject: [ANNOUNCE] git-assembler 1.4 released

From: Yuri D'Elia <[email-masked]>
Date: Thu, 18 May 2023 13:05:52 +0200

git-assembler 1.4 was just released. This version brings full worktree
support. Checked-out branches are correctly updated/rebuilt from any
tree when referenced in the current assembly. This allows the developer
to use worktrees as automated "patch testing ground" across multiple
mainlines, either for local use or CI.

git-assembler can perform automatic merge and rebase operations
following a simple declarative script. Like "make", but for branches.
You can use git-assembler to create a branch which is a combination of
patches using various strategies and keep it always updated.

Documentation and links are available at:

  https://www.thregr.org/~wavexx/software/git-assembler/

The source itself:

  https://gitlab.com/wavexx/git-assembler